#if !defined(AFX_TABCTRL_H__D49FEF61_C92E_11D5_9AFA_00D04C390250__INCLUDED_)
#define AFX_TABCTRL_H__D49FEF61_C92E_11D5_9AFA_00D04C390250__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "mylist.h"

/* **********************************************************************************
********************************************************************************** */

#define MAX_TAB 30


/* **********************************************************************************
********************************************************************************** */

class CTabCtrl  
{
	public:
		virtual ~CTabCtrl();
		CTabCtrl		(HWND hWndTab);

		BOOL Add		(HWND hWndChild,char *title,BOOL show=FALSE);
		BOOL Sup		(int index);
		BOOL Rename		(int index,char *text);
		
		BOOL Reset		();

		int  FindPage	(char *title);
		HWND FindChild	(char *title);
		HWND FindChild	(int index);

		BOOL Notify		(WPARAM lParam);

		int	 GetCurPage	();
		int	 GetNbPage	();
		BOOL ShowPage	(int index);

		void Highlight	(int index,BOOL state);

	private:
		HWND			m_hWndTab;
		BOOL			m_firstChild;

	public:
		MyList<HWND>	m_hWndChilds;
};

#endif // !defined(AFX_TABCTRL_H__D49FEF61_C92E_11D5_9AFA_00D04C390250__INCLUDED_)
